Fetch Customer Subscriptions
1 min
GET
https://api.nue.io/subscriptions
Query Parameters
- customerIdsstring[]Description
- namestringDescription
- snapshotDatestringDescription
- historybooleanDescription
- includesstringDescriptionAllowedproductpricetagsupcomingChanges
- productDetailstringDescriptionDefaultfullAllowedfullroot
- bundledbooleanDescription
- subscriptionLevelstringExampleDescription
- statusstringDescriptionAllowedactiveexpiredcanceled
- versionstringDescriptionAllowedlatestsnapshot
Responses
200
- object
- Regular Subscription Response
- Snapshot Response
207
400
curl
curl --request GET \
--url 'https://api.nue.io/subscriptions?productDetail=full' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.nue.io/subscriptions?productDetail=full", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.nue.io/subscriptions?productDetail=full")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.nue.io/subscriptions?productDetail=full"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful retrieval of customer subscriptions.
{}207
// Partial success. The subscriptions were returned, but at least one filter could not be applied, typically a filter combined with snapshotDate on a field that a snapshot recalculates. The skipped filters are named in a FILTER_NOT_SUPPORTED_WITH_SNAPSHOT entry in warnings.
400
// Invalid request. Returned when a query parameter does not correspond to a field on the subscription object, when a filter value does not match its field's type (INVALID_FILTER_VALUE), or when productDetail is supplied without includes=product (INVALID_PARAMETER_COMBINATION).